using Microsoft.AspNetCore.Mvc;
using System;

using IdentityServer4.Models;

using TestIdentityServer.Models;

namespace TestIdentityServer.Extensions
{
    /// <summary>
    /// Ʈѷ Ȯ
    /// </summary>
    public static class ControllerExtension
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Ƽ Ŭ̾Ʈ  ϱ - IsNativeClient(authorizationRequest)

        /// <summary>
        /// Ƽ Ŭ̾Ʈ  ϱ
        /// </summary>
        /// <returns>Ƽ Ŭ̾Ʈ </returns>
        /// <remarks>𷺼 URI Ƽ Ŭ̾Ʈ ȮѴ.</remarks>
        public static bool IsNativeClient(this AuthorizationRequest authorizationRequest)
        {
            return !authorizationRequest.RedirectUri.StartsWith("https", StringComparison.Ordinal) &&
                   !authorizationRequest.RedirectUri.StartsWith("http" , StringComparison.Ordinal);
        }

        #endregion
        #region ε  óϱ - LoadingPage(controller, viewName, redirectURI)

        /// <summary>
        /// ε  óϱ
        /// </summary>
        /// <param name="controller">Ʈѷ</param>
        /// <param name="viewName"> Ī</param>
        /// <param name="redirectURI"> URI</param>
        /// <returns>׼ </returns>
        public static IActionResult LoadingPage(this Controller controller, string viewName, string redirectURI)
        {
            controller.HttpContext.Response.StatusCode = 200;

            controller.HttpContext.Response.Headers["Location"] = string.Empty;
            
            return controller.View(viewName, new RedirectViewModel { RedirectURL = redirectURI });
        }

        #endregion
    }
}