﻿using System;
using System.Collections.Generic;

namespace TestIdentityServer.Models
{
    /// <summary>
    /// 권한 부여 뷰 모델
    /// </summary>
    public class GrantViewModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 클라이언트 ID - ClientID

        /// <summary>
        /// 클라이언트 ID
        /// </summary>
        public string ClientID { get; set; }

        #endregion
        #region 클라이언트명 - ClientName

        /// <summary>
        /// 클라이언트명
        /// </summary>
        public string ClientName { get; set; }

        #endregion
        #region 클라이언트 URL - ClientURL

        /// <summary>
        /// 클라이언트 URL
        /// </summary>
        public string ClientURL { get; set; }

        #endregion
        #region 클라이언트 로고 URL - ClientLogoURL

        /// <summary>
        /// 클라이언트 로고 URL
        /// </summary>
        public string ClientLogoURL { get; set; }

        #endregion
        #region 설명 - Description

        /// <summary>
        /// 설명
        /// </summary>
        public string Description { get; set; }

        #endregion
        #region 생성 일시 - Created

        /// <summary>
        /// 생성 일시
        /// </summary>
        public DateTime Created { get; set; }

        #endregion
        #region 만기 일시 - Expires

        /// <summary>
        /// 만기 일시
        /// </summary>
        public DateTime? Expires { get; set; }

        #endregion
        #region 신원 권한 부여 명칭 열거 가능형 - IdentityGrantNameEnumerable

        /// <summary>
        /// 신원 권한 부여 명칭 열거 가능형
        /// </summary>
        public IEnumerable<string> IdentityGrantNameEnumerable { get; set; }

        #endregion
        #region API 권한 부여 명칭 열거 가능형 - APIGrantNameEnumerable

        /// <summary>
        /// API 권한 부여 명칭 열거 가능형
        /// </summary>
        public IEnumerable<string> APIGrantNameEnumerable { get; set; }

        #endregion
    }
}