using Microsoft.AspNetCore.Authentication;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System.Linq;
using System.Threading.Tasks;

using TestIdentityServer.Attributes;
using TestIdentityServer.Models;

namespace TestIdentityServer
{
    /// <summary>
    ///  Ʈѷ
    /// </summary>
    [SecurityHeaders]
    [Authorize]
    public class DiagnosticsController : Controller
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public
        
        #region ε  óϱ - Index()

        /// <summary>
        /// ε  óϱ
        /// </summary>
        /// <returns></returns>
        public async Task<IActionResult> Index()
        {
            string[] localAddresseArray = new string[]
            {
                "127.0.0.1",
                "::1",
                HttpContext.Connection.LocalIpAddress.ToString()
            };

            if(!localAddresseArray.Contains(HttpContext.Connection.RemoteIpAddress.ToString()))
            {
                return NotFound();
            }

            DiagnosticsViewModel vm = new DiagnosticsViewModel(await HttpContext.AuthenticateAsync());

            return View(vm);
        }

        #endregion
    }
}