using Microsoft.AspNetCore.Authentication;
using System.Collections.Generic;
using System.Text;

using Newtonsoft.Json;

using IdentityModel;

namespace TestIdentityServer.Models
{
    /// <summary>
    ///   
    /// </summary>
    public class DiagnosticsViewModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region   - AuthenticateResult

        /// <summary>
        ///  
        /// </summary>
        public AuthenticateResult AuthenticateResult { get; }

        #endregion
        #region Ŭ̾Ʈ   - ClientEnumerable

        /// <summary>
        /// Ŭ̾Ʈ  
        /// </summary>
        public IEnumerable<string> ClientEnumerable { get; } = new List<string>();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - DiagnosticsViewModel(authenticateResult)

        /// <summary>
        /// 
        /// </summary>
        /// <param name="authenticateResult"> </param>
        public DiagnosticsViewModel(AuthenticateResult authenticateResult)
        {
            AuthenticateResult = authenticateResult;

            if(authenticateResult.Properties.Items.ContainsKey("client_list"))
            {
                string source          = authenticateResult.Properties.Items["client_list"];
                byte[] targetByteArray = Base64Url.Decode(source);
                string trarget         = Encoding.UTF8.GetString(targetByteArray);

                ClientEnumerable = JsonConvert.DeserializeObject<string[]>(trarget);
            }
        }

        #endregion
    }
}