﻿using IdentityServer4.Models;

namespace TestIdentityServer.Models
{
    /// <summary>
    /// 에러 뷰 모델
    /// </summary>
    public class ErrorViewModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 에러 - Error

        /// <summary>
        /// 에러
        /// </summary>
        public ErrorMessage Error { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - ErrorViewModel()

        /// <summary>
        /// 생성자
        /// </summary>
        public ErrorViewModel()
        {
        }

        #endregion
        #region 생성자 - ErrorViewModel(error)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="error">에러</param>
        public ErrorViewModel(string error)
        {
            Error = new ErrorMessage { Error = error };
        }

        #endregion
    }
}