using System;
using System.Collections.Generic;
using System.Linq;

namespace TestIdentityServer.Models
{
    /// <summary>
    /// α  
    /// </summary>
    public class LoginViewModel : LoginInputModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region α    - AllowRememberLogin

        /// <summary>
        /// α   
        /// </summary>
        public bool AllowRememberLogin { get; set; } = true;

        #endregion
        #region  α   - EnableLocalLogin

        /// <summary>
        ///  α  
        /// </summary>
        public bool EnableLocalLogin { get; set; } = true;

        #endregion
        #region ܺ    - ExternalProviderEnumerable

        /// <summary>
        /// ܺ   
        /// </summary>
        public IEnumerable<ExternalProvider> ExternalProviderEnumerable { get; set; } = Enumerable.Empty<ExternalProvider>();

        #endregion
        #region ǥ ܺ    - VisibleExternalProviderEnumerable

        /// <summary>
        /// ǥ ܺ   
        /// </summary>
        public IEnumerable<ExternalProvider> VisibleExternalProviderEnumerable => ExternalProviderEnumerable.Where(x => !String.IsNullOrWhiteSpace(x.DisplayName));

        #endregion
        #region ܺ αθ  - EnableLocalLogin

        /// <summary>
        /// ܺ αθ 
        /// </summary>
        public bool IsExternalLoginOnly => EnableLocalLogin == false && ExternalProviderEnumerable?.Count() == 1;

        #endregion
        #region ܺ α ȹ - IsExternalLoginOnly

        /// <summary>
        /// ܺ α ȹ
        /// </summary>
        public string ExternalLoginScheme => IsExternalLoginOnly ? ExternalProviderEnumerable?.SingleOrDefault()?.AuthenticationScheme : null;

        #endregion
    }
}